/*******************************************************************************
 * Copyright 2014 2Fi Business Solutions Ltd.
 *
 * This code is part of the PCS project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.message;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

/**
 * Message - carries user to user message.
 *
 * @see MessageThread
 * @see MessageContent
 * @see MessageRef
 *
 * @author Patrick
 */
@Entity
@Table(name = "message")
public class Message extends BaseEntity<Integer> {

	private static final long serialVersionUID = 6336248318304156664L;


	@Column(columnDefinition = "int")
	private int orderId;

	@Column(columnDefinition = "varchar(255)")
	private String content;

	@Column(columnDefinition = "datetime")
	private Date readTime;

	/** Default constructor */
	public Message() {

	}

	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getReadTime() {
		return readTime;
	}

	public void setReadTime(Date readTime) {
		this.readTime = readTime;
	}

}
